## coldsync 2.2.5

=== Makefile ===
# Makefile
#
# Top-level Makefile
#
# $Id: Makefile,v 1.18 2001/06/04 10:18:28 arensb Exp $

# In each Makefile, ${TOP} is the top of the source tree. ${SUBDIR} is the
# path to the current directory, relative to ${TOP}. These two variables
# are automatically set by the ${RECURSIVE_TARGETS}:: rule in "Make.rules".
# However, for the benefit of people who like running `make' from inside
# the source tree, they should also be set at the top of each Makefile.
TOP =		.
SUBDIR =	.

# List of subdirectories underneath this one.
# Note that $(PERLDIR) is expanded in Make.rules.
SUBDIRS =	include libpconn libpdb src $(PERLDIR) conduits doc i18n

# Files to include in snapshots and distributions
DISTFILES =	README \
		README.daemon \
		INSTALL \
		Artistic \
		AUTHORS \
		NEWS \
		OLDNEWS.1 \
		ChangeLog \
		ChangeLog.0 \
		ChangeLog.1 \
		HACKING \
		Makefile \
		Make.rules.in \
		configure.in \
		aclocal.m4 \
		config.h.in \
		TODO \
		FAQ \
		install-sh \
		mkinstalldirs \
		find-leaks \
		configure

# Files to include in distributions, but not in snapshots
EXTRA_DISTFILES =

# Files to delete when making `clean', `distclean' and `spotless',
# respectively. Each one deletes the ones before.
CLEAN =		core *.core *.bak *~ errs errs.*
DISTCLEAN =	config.cache Make.rules config.h config.log config.status \
		ID TAGS .depend
SPOTLESS =	configure

all::		Make.rules

# Rebuild the `configure' stuff, if necessary.
Make.rules config.h:	configure
	./config.status

configure:	configure.in
	autoconf

distfiles-core::
	${MKDIR} "${TOPDISTDIR}";

# Emacs TAGS file
tags:	TAGS
TAGS::
	rm -f TAGS

include Make.rules

# This creates the ID file that lists where various identifiers are
# found. Used by 'lid', 'gid', etc., part of the id-utils package.
id:	ID

# The double-colon here is to force the file to be rebuilt every time.
ID::
	${MKID}

dist:	distfiles
	GZIP="--best" ${TAR} chozf ${TARBALL} ${TOPDISTDIR}
	rm -rf ${TOPDISTDIR}

snapshot:	distfiles-core
	date=`${DATE} "+%Y%m%d"`; \
	GZIP="--best" ${TAR} chozf "${PACKAGE}-${VERSION}-$${date}.tar.gz" \
		${TOPDISTDIR}
	rm -rf ${TOPDISTDIR}

spotless::
	rm -rf ${TOPDISTDIR}

# This is for Emacs's benefit:
# Local Variables:	***
# fill-column:	75	***
# End:			***

=== conduits/Makefile ===
# $Id: Makefile,v 1.10 2001/06/04 02:27:45 arensb Exp $

TOP =		..
SUBDIR =	conduits

# Conduits are grouped by interpreter, since the #! path is munged at
# install time.
PERL_CONDUITS =	copy-appinfo \
		send-mail \
		todo-text

# XXX - memo-text and std-categories aren't ready for prime time, so
# they're listed under DISTFILES so they won't be installed.

CONDUITS =	${PERL_CONDUITS}

# XXX - The *.1 is bad: it will nuke separate man pages, if there are ever any
CLEAN =		*.1 \
		pod2html-dircache pod2html-itemcache
DISTFILES =	Makefile \
		${CONDUITS} \
		memo-text \
		std-categories

all::

depend::

include ${TOP}/Make.rules

# Extract man pages from Perl pods.
manifypods:	${PERL_CONDUITS}
	for i in ${PERL_CONDUITS}; do \
		${POD2MAN_EXE} $$i > $$i.1; \
	done

# The sed script below replaces the path to the interpreter in the #!
# line with the local path. That is, if the conduit begins with
# "#!/bin/perl", but your Perl is "/usr/local/bin/perl5", then the sed
# script below will create a temporary <conduit>.inst file that begins
# with "#!/usr/local/bin/perl5" and will install that.

install::	${CONDUITS} manifypods
	${MKDIR} ${CONDUITDIR} ${MAN1DIR}
	for i in ${PERL_CONDUITS}; do \
		${SED} 's:#! *[^ 	]*\(.*\):#!${PERL}\1:' \
			< $$i > $$i.inst; \
		${INSTALL_SCRIPT} $$i.inst ${CONDUITDIR}/$$i; \
		rm -f $$i.inst; \
	done
	for i in ${PERL_CONDUITS}; do \
		${INSTALL_DATA} $$i.1 ${MAN1DIR}/$$i.1; \
	done

# This is for Emacs's benefit:
# Local Variables:	***
# fill-column:	75	***
# End:			***

=== doc/Makefile ===
# $Id: Makefile,v 1.14 2001/12/06 13:45:00 arensb Exp $

TOP =		..
SUBDIR =	doc

# XXX - This ought to include 'libpalm.texi', or whatever it mutates
# into, at some point.
TEXIFILES =	conduits.texi

INFOFILES =	${TEXIFILES:.texi=.info}
# EXTRA_INFOFILES is split off from INFOFILES because under DU, when there
# are no existing foo.info-* files, /bin/sh just expands the glob to the
# string "foo.info-*". Then 'make' complains that it doesn't know how to
# build this file.
EXTRA_INFOFILES =	${TEXIFILES:.texi=.info-*}
DVIFILES =	${TEXIFILES:.texi=.dvi}
PSFILES =	${TEXIFILES:.texi=.ps}
PDFFILES =	${TEXIFILES:.texi=.pdf}
MAN3FILES =	libpconn.3 \
		DlpAddSyncLogEntry.3 \
		DlpCallApplication.3 \
		DlpCleanUpDataBase.3 \
		DlpDeleteRecord.3 \
		DlpEndOfSync.3 \
		DlpGetSysDateTime.3 \
		DlpMoveCategory.3 \
		DlpOpenConduit.3 \
		DlpOpenDB.3 \
		DlpRPC.3 \
		DlpReadAppBlock.3 \
		DlpReadAppPreference.3 \
		DlpReadDBList.3 \
		DlpReadFeature.3 \
		DlpReadNetSyncInfo.3 \
		DlpReadOpenDBInfo.3 \
		DlpReadRecordByID.3 \
		DlpReadRecordIDList.3 \
		DlpReadResourceByIndex.3 \
		DlpReadStorageInfo.3 \
		DlpReadSysInfo.3 \
		DlpReadUserInfo.3 \
		DlpResetRecordIndex.3 \
		DlpResetSyncFlags.3 \
		DlpResetSystem.3 \
		DlpWriteRecord.3 \
		DlpWriteResource.3 \
		PConnClose.3 \
		PConn_bind.3 \
		RDLP_Backlight.3 \
		RDLP_BatteryDialog.3 \
		RDLP_GetOSVersionString.3 \
		RDLP_MemHandleNew.3 \
		RDLP_PluggedIn.3 \
		RDLP_ROMToken.3 \
		new_PConnection.3 \
		time_dlp2palmtime.3 \
		libpdb.3 \
		new_Record.3 \
		new_pdb.3 \
		pdb_AppendRecord.3 \
		pdb_CopyRecord.3 \
		pdb_DeleteRecordByID.3 \
		pdb_FindRecordByID.3 \
		pdb_LoadHeader.3 \
		pdb_Read.3
MAN8FILES =	coldsync.8

DISTFILES =	Makefile \
		${MAN3FILES} ${MAN8FILES} \
		${TEXIFILES} \
		libpalm.texi \
		texinfo.tex \
		version.texi.in \
		sample.coldsync.rc

EXTRA_DISTFILES = \
		${INFOFILES} \
		${EXTRA_INFOFILES} \
		${PSFILES}

CLEAN =		${INFOFILES} ${EXTRA_INFOFILES} ${DVIFILES} ${PSFILES} \
		*.aux *.cp *.cps *.fn *.ky *.log *.pg *.toc *.tp *.ty *.vr \
		*.bak *~ errs errs.* \
		*.html
DISTCLEAN =	version.texi .depend
SPOTLESS =

include ${TOP}/Make.rules

all::	${INFOFILES}

install::	coldsync.8 ${INFOFILES}
	-${MKDIR} ${MAN3DIR}
	@for i in ${MAN3FILES}; do \
		echo ${INSTALL_MAN} $$i ${MAN3DIR}/$$i; \
		${INSTALL_MAN} $$i ${MAN3DIR}/$$i; \
	done
	-${MKDIR} ${MAN8DIR}
	@for i in ${MAN8FILES}; do \
		echo ${INSTALL_MAN} $$i ${MAN8DIR}/$$i; \
		${INSTALL_MAN} $$i ${MAN8DIR}/$$i; \
	done
	-${MKDIR} ${SYSCONFDIR}
	${INSTALL_DATA} sample.coldsync.rc ${SYSCONFDIR}/sample.coldsync.rc
	${MKDIR} ${INFODIR}
	@for file in ${INFOFILES} ${EXTRA_INFOFILES}; do \
		echo "${INSTALL_DATA} $${file} ${INFODIR}/$${file}"; \
		${INSTALL_DATA} $${file} ${INFODIR}/$${file}; \
	done

dvi:	${DVIFILES}
ps:	${PSFILES}
html:	${HTMLFILES}
pdf:	${PDFFILES}

# This is for Emacs's benefit:
# Local Variables:	***
# fill-column:	75	***
# End:			***

=== i18n/Makefile ===
# $Id: Makefile,v 1.14 2001/12/07 14:15:03 arensb Exp $

# XXX - It would be nice to arrange things so that the <lang>.po files
# aren't modified all the time (and cause CVS to think the file has
# changed, when all that has changed is some line numbers in the
# comments). Presumably, then, should either remove line numbers from
# the .po files (yuck!) or not feed changes back into .po files (but
# then this loses information about added and removed messages).

TOP =		..
SUBDIR =	i18n

# LANGS: list of all languages/locales for which there is a translation
LANGS =		fr de it cs
POFILES =	${LANGS:=.po}
MOFILES =	${LANGS:=.mo}

# 'xgettext' gets confused by some of the lex regular expressions, so
# we get the strings from lex.yy.c instead of src/lexer.l
INPUTFILES =	\
	${TOP}/libpconn/PConnection.c \
	${TOP}/libpconn/PConnection_net.c \
	${TOP}/libpconn/PConnection_serial.c \
	${TOP}/libpconn/PConnection_usb.c \
	${TOP}/libpconn/cfmakeraw.c \
	${TOP}/libpconn/cmp.c \
	${TOP}/libpconn/dlp.c \
	${TOP}/libpconn/dlp_cmd.c \
	${TOP}/libpconn/dlp_rpc.c \
	${TOP}/libpconn/netsync.c \
	${TOP}/libpconn/padp.c \
	${TOP}/libpconn/palm_errno.c \
	${TOP}/libpconn/slp.c \
	${TOP}/libpconn/util.c \
	${TOP}/libpdb/pdb.c \
	${TOP}/src/archive.c \
	${TOP}/src/backup.c \
	${TOP}/src/coldsync.c \
	${TOP}/src/conduit.c \
	${TOP}/src/config.c \
	${TOP}/src/install.c \
	${TOP}/src/lex.yy.c \
	${TOP}/src/log.c \
	${TOP}/src/misc.c \
	${TOP}/src/parser.y \
	${TOP}/src/pref.c \
	${TOP}/src/restore.c \
	${TOP}/src/spalm.c \
	${TOP}/src/spc.c \
	${TOP}/src/net_compat.c \
	${TOP}/src/GenericConduit.cc

DISTFILES =	Makefile \
		messages.po \
		${POFILES}

CLEAN =		core *.core *.bak *~ errs errs.* ${MOFILES}
SPOTLESS =	messages.po

include ${TOP}/Make.rules

all::	${MOFILES}

messages.po::	${INPUTFILES}
	${XGETTEXT} -LC++ -s -k_ -kN_ -o $@ ${INPUTFILES}

# I thought I needed to include this line, but things seems to work
# without it. Oh, well. Here it is, in case it turns out to be
# necessary after all.
#	${XGETTEXT} -D${TOP} -LC++ -f FILES.C++ -j -s -k_ -kN_ -o $@ -D`pwd`

# XXX - There's probably a better way to do this so that things work
# whether or not the user has i18n turned on or not.
${POFILES}:	messages.po
	if [ ! -f "$@" ]; then \
		touch "$@"; \
	fi
	${MSGMERGE} -v -o temp.pox "$@" messages.po
	if [ -f temp.pox ]; then \
		cp temp.pox "$@"; \
		rm -f temp.pox; \
	fi

# ${INSTALL_I18N} is either "yes" or "no", depending on whether 'configure'
# was run with "--without-i18n", and whether all the requisite tools could
# be found.
install::	install-i18n-${INSTALL_I18N}

# Install the message catalogs
install-i18n-yes:	${MOFILES}
	langs="${LANGS}"; \
	for lang in $$langs; do \
		${MKDIR} "${LOCALEDIR}/$$lang/LC_MESSAGES"; \
		${INSTALL_DATA} "$$lang.mo" \
			"${LOCALEDIR}/$$lang/LC_MESSAGES/${PACKAGE}.mo"; \
	done

# Do nothing.
install-i18n-no:

${TOP}/src/lex.yy.c:
	cd ${TOP}/src && ${MAKE} lex.yy.c

# This is for Emacs's benefit:
# Local Variables:	***
# fill-column:	75	***
# End:			***

=== libpconn/Makefile ===
# $Id: Makefile,v 1.12 2001/11/19 17:07:15 arensb Exp $

TOP =		..
SUBDIR =	libpconn

LIBNAME =	pconn
SHLIB_MAJOR =	0
SHLIB_MINOR =	0

LIBSRCS =	cfmakeraw.c \
		crc.c \
		dlp_cmd.c \
		dlp_rpc.c \
		util.c \
		dlp.c \
		netsync.c \
		palm_errno.c \
		padp.c \
		slp.c \
		cmp.c \
		PConnection.c \
		PConnection_serial.c \
		PConnection_usb.c \
		PConnection_net.c \
		spc_client.c 

LIBOBJS =	${LIBSRCS:.c=.o}
SHLIBOBJS =	${LIBSRCS:.c=.So}

CLEAN =		${LIBOBJS} ${SHLIBOBJS} ${LIBRARY} \
		*.ln *.bak *~ core *.core .depend
DISTCLEAN =
SPOTLESS =

DISTFILES =	Makefile ${LIBSRCS}

OTHERTAGFILES =	${LIBSRCS}

include ${TOP}/Make.rules

depend::
	${MKDEP} ${CPPFLAGS} ${LIBSRCS}

all::	${LIBRARY}

# It might be a good idea later on to install the library, so that
# people can write other programs that communicate with the Palm, but
# not just yet.
# install::

# XXX - Building shared libraries:
#  FreeBSD:
#	${CC} -fpic -DPIC ${CFLAGS} -c foo.c -o foo.So
#	ld -o foo.So.tmp -x -r foo.So
#	mv foo.So.tmp foo.So
#
#	rm -f libfoo.so.1 libfoo.so
#	ln -sf libfoo.so.1 libfoo.so
#	${CC} -shared -Wl,-x -o libfoo.so.1 -Wl,-soname,libfoo.so.1 \
#		`lorder *.So | tsort -q`

# Solaris: has 'lorder' and 'tsort', but linker doesn't support "-x"
# (delete local symbols).
#	'ln' is picky: you need to say 'ln -f -s foo bar', not 'ln -fs'
# or 'ln -sf' :-(
#	'tsort' doesn't take "-q" option.

# DU: has 'lorder' and 'tsort'
#	'ld' recognizes "-x" option.
#	'tsort' doesn't take "-q" option.

# This is for Emacs's benefit:
# Local Variables:	***
# fill-column:	75	***
# End:			***

=== libpdb/Makefile ===
# $Id: Makefile,v 1.8 2001/11/12 04:31:25 arensb Exp $

TOP =		..
SUBDIR =	libpdb

LIBNAME =	pdb
SHLIB_MAJOR =	0
SHLIB_MINOR =	0

LIBSRCS =	pdb.c util.c
LIBOBJS =	${LIBSRCS:.c=.o}
SHLIBOBJS =	${LIBSRCS:.c=.So}

CLEAN =		${LIBOBJS} ${SHLIBOBJS} ${LIBRARY} \
		*.ln *.bak *~ core *.core .depend
DISTCLEAN =
SPOTLESS =

DISTFILES =	Makefile ${LIBSRCS}

OTHERTAGFILES =	${LIBSRCS}

include ${TOP}/Make.rules

depend::
	${MKDEP} ${CPPFLAGS} ${LIBSRCS}

all::	${LIBRARY}

# It might be a good idea later on to install the library, so that
# people can write other programs that communicate with the Palm, but
# not just yet.
# install::

# This is for Emacs's benefit:
# Local Variables:	***
# fill-column:	75	***
# End:			***

=== perl/Makefile ===
# $Id: Makefile,v 1.9 2000/11/10 03:36:24 arensb Exp $

TOP =		..
SUBDIR =	perl

SUBDIRS =	ColdSync

DISTFILES =	Makefile

CLEAN =		*.bak *~ core *.core

# Hack: ${RECURSIVE_TARGETS} is redefined here in order to correctly
# build ColdSync/Makefile when necessary.
# DU 'make' complains that RECURSIVE_TARGETS is redefined, but it
# works anyway.
RECURSIVE_TARGETS =	\
		all depend clean distclean spotless distfiles-core distfiles \
		install lint TAGS

${RECURSIVE_TARGETS}::	ColdSync/Makefile

include ${TOP}/Make.rules

ColdSync/Makefile:	ColdSync/Makefile.PL
	cd ColdSync && ${PERL} Makefile.PL

# This is for Emacs's benefit:
# Local Variables:	***
# fill-column:	75	***
# End:			***

=== src/Makefile ===
# $Id: Makefile,v 2.22 2001/10/12 02:19:26 arensb Exp $

TOP =		..
SUBDIR =	src

CXXPROG =	coldsync

C_SRCS =	coldsync.c \
		archive.c \
		backup.c \
		restore.c \
		install.c \
		config.c \
		misc.c \
		lexhack.c \
		log.c \
		conduit.c \
		spalm.c \
		palment.c \
		pref.c \
		spc.c \
		net_compat.c \
		ap_snprintf.c
C_OBJS =	${C_SRCS:.c=.o}

CXX_SRCS =	GenericConduit.cc symboltable.cc

CXX_OBJS =	${CXX_SRCS:.cc=.o}

SRCS =		${C_SRCS} ${CXX_SRCS}

HEADERS =	archive.h \
		coldsync.h \
		conduit.h \
		cs_error.h \
		spalm.h \
		palment.h \
		parser.h \
		symboltable.h \
		spc.h \
		pref.h \
		net_compat.h \
		GenericConduit.hh

OBJS =		${C_OBJS} ${CXX_OBJS} \
		y.tab.o

LIBPCONN = 	-L${TOP}/libpconn -lpconn
LIBPDB = 	-L${TOP}/libpdb -lpdb
EXTRA_LIBS =	${LIBPDB} ${LIBPCONN} ${LIBYACC} ${LIBLEX}
CLEAN =		${CXXPROG} ${OBJS} \
		*.ln *.bak *~ core *.core .depend \
		lex.yy.c y.tab.c y.tab.h y.output \
		parser.tab.c parser.tab.h parser.output

DISTFILES =	Makefile \
		${SRCS} ${HEADERS} \
		lexer.l parser.y

all::		${CXXPROG}

depend::	lex.yy.c
depend::
	${MKDEP} ${CPPFLAGS} ${C_SRCS} ${CXX_INCLUDEDIRS} ${CXX_SRCS}

include ${TOP}/Make.rules

install::	${CXXPROG}
	${MKDIR} ${BINDIR}
	${INSTALL_PROGRAM} ${CXXPROG} ${BINDIR}/${CXXPROG}

#manifest:
#	@for i in ${DISTFILES}; do \
#		echo "${SUBDIR}/$$i"; \
#	done

# Additional dependencies, maintained by hand 'cos I don't know how
# else to do it
coldsync:	${TOP}/libpconn/libpconn.a
coldsync:	${TOP}/libpdb/libpdb.a

lexhack.o:	lex.yy.c
lex.yy.c:	parser.h lexer.l
y.tab.c y.tab.h:	parser.h parser.y

# This is for Emacs's benefit:
# Local Variables:	***
# fill-column:	75	***
# End:			***

=== include/pconn/Makefile ===
# $Id: Makefile,v 1.6 2001/10/12 02:16:39 arensb Exp $

TOP =		../..
SUBDIR =	include/pconn

HEADERS =	PConnection.h \
		netsync.h \
		cmp.h \
		dlp.h \
		dlp_cmd.h \
		dlp_rpc.h \
		padp.h \
		palm_errno.h \
		palm_types.h \
		pconn.h \
		slp.h \
		util.h \
		spc_client.h

DISTFILES =	Makefile \
		${HEADERS}

all::

include ${TOP}/Make.rules

# This is for Emacs's benefit:
# Local Variables:	***
# fill-column:	75	***
# End:			***

## coldsync 3.0+pre3

=== coldnamed/Makefile ===
# $Id: Makefile,v 1.1 2002/03/19 12:05:26 arensb Exp $

TOP =		..
SUBDIR =	coldnamed

PROG =		coldnamed

C_SRCS =	coldnamed.c
C_OBJS =	${C_SRCS:.c=.o}

SRCS =		${C_SRCS}

OBJS =		${C_OBJS}

CLEAN =		${PROG} ${OBJS} \
		*.ln *.bak *~ core *.core .depend

DISTFILES =	Makefile \
		${SRCS} ${HEADERS}

all::		${PROG}

depend::
	${MKDEP} ${CPPFLAGS} ${C_SRCS}

include ${TOP}/Make.rules

install::	${PROG}
	${MKDIR} ${SBINDIR}
	${INSTALL_PROGRAM} ${PROG} ${SBINDIR}/${PROG}

#manifest:
#	@for i in ${DISTFILES}; do \
#		echo "${SUBDIR}/$$i"; \
#	done

# XXX - Experimental. This doesn't play well with ${LDFLAGS}, so probably
# best to move coldnamed into its own directory, with a separate Makefile.
# Or perhaps fix LDFLAGS and friends to support multiple programs.
#coldnamed:	coldnamed.o
#	${CC} ${CFLAGS} coldnamed.o -o $@ ${LDFLAGS}

# This is for Emacs's benefit:
# Local Variables:	***
# fill-column:	75	***
# End:			***

=== conduits/Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# $Id: Makefile,v 1.10 2001/06/04 02:27:45 arensb Exp $
+# $Id: Makefile,v 1.12 2002/11/02 22:27:58 azummo Exp $
 
 TOP =		..
 SUBDIR =	conduits
@@ -20,7 +20,8 @@
 DISTFILES =	Makefile \
 		${CONDUITS} \
 		memo-text \
-		std-categories
+		std-categories \
+		dump-headers
 
 all::
 
@@ -41,14 +42,18 @@
 # with "#!/usr/local/bin/perl5" and will install that.
 
 install::	${CONDUITS} manifypods
-	${MKDIR} ${CONDUITDIR} ${MAN1DIR}
+	@for i in ${CONDUITDIR} ${MAN1DIR}; do \
+		echo "${MKDIR} $$i"; \
+		${MKDIR} "$$i"; \
+	done
 	for i in ${PERL_CONDUITS}; do \
 		${SED} 's:#! *[^ 	]*\(.*\):#!${PERL}\1:' \
 			< $$i > $$i.inst; \
 		${INSTALL_SCRIPT} $$i.inst ${CONDUITDIR}/$$i; \
 		rm -f $$i.inst; \
 	done
-	for i in ${PERL_CONDUITS}; do \
+	@for i in ${PERL_CONDUITS}; do \
+		echo "${INSTALL_DATA} $$i.1 ${MAN1DIR}/$$i.1"; \
 		${INSTALL_DATA} $$i.1 ${MAN1DIR}/$$i.1; \
 	done

=== doc/Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# $Id: Makefile,v 1.14 2001/12/06 13:45:00 arensb Exp $
+# $Id: Makefile,v 1.17 2002/04/14 07:26:20 arensb Exp $
 
 TOP =		..
 SUBDIR =	doc
@@ -89,16 +89,37 @@
 
 all::	${INFOFILES}
 
+# There are two parts to installing man pages:
+# The first part installs foo.3 as /usr/local/man/man3/foo.3
+# Then, the awk script looks for all .Nm lines before the first .Nd line,
+# and prints them. This gives us the list of all
+# functions/programs/whatever documented in that man page. Drop the first
+# one (since that's a real man file), and make symlinks for all of the
+# others.
 install::	coldsync.8 ${INFOFILES}
 	-${MKDIR} ${MAN3DIR}
 	@for i in ${MAN3FILES}; do \
-		echo ${INSTALL_MAN} $$i ${MAN3DIR}/$$i; \
+		echo "${INSTALL_MAN} $$i ${MAN3DIR}/$$i"; \
 		${INSTALL_MAN} $$i ${MAN3DIR}/$$i; \
+		set `awk '/^\.Nm/ { print $$2 } /^\.Nd/ {exit 0}' $$i`; \
+		echo "Synonyms for $$i are $$*"; \
+		shift; \
+		for j in "$$@"; do \
+			echo "ln -f -s $$i ${MAN3DIR}/$$j.3"; \
+			ln -f -s "$$i" "${MAN3DIR}/$$j.3"; \
+		done; \
 	done
 	-${MKDIR} ${MAN8DIR}
 	@for i in ${MAN8FILES}; do \
 		echo ${INSTALL_MAN} $$i ${MAN8DIR}/$$i; \
 		${INSTALL_MAN} $$i ${MAN8DIR}/$$i; \
+		set `awk '/^\.Nm/ { print $$2 } /^\.Nd/ {exit 0}' $$i`; \
+		echo "Synonyms for $$i are $$*"; \
+		shift; \
+		for j in "$$@"; do \
+			echo "ln -f -s $$i ${MAN8DIR}/$$j.8"; \
+			ln -f -s "$$i" "${MAN8DIR}/$$j.8"; \
+		done; \
 	done
 	-${MKDIR} ${SYSCONFDIR}
 	${INSTALL_DATA} sample.coldsync.rc ${SYSCONFDIR}/sample.coldsync.rc

=== i18n/Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# $Id: Makefile,v 1.14 2001/12/07 14:15:03 arensb Exp $
+# $Id: Makefile,v 1.19 2002/12/18 00:23:28 azummo Exp $
 
 # XXX - It would be nice to arrange things so that the <lang>.po files
 # aren't modified all the time (and cause CVS to think the file has
@@ -11,7 +11,7 @@
 SUBDIR =	i18n
 
 # LANGS: list of all languages/locales for which there is a translation
-LANGS =		fr de it cs
+LANGS =		fr de it cs ru ja pt_BR
 POFILES =	${LANGS:=.po}
 MOFILES =	${LANGS:=.mo}
 
@@ -48,7 +48,9 @@
 	${TOP}/src/spalm.c \
 	${TOP}/src/spc.c \
 	${TOP}/src/net_compat.c \
-	${TOP}/src/GenericConduit.cc
+	${TOP}/src/conduits/generic.cc
+
+# XXX there are a lot of files to be added here.
 
 DISTFILES =	Makefile \
 		messages.po \
@@ -88,8 +90,9 @@
 
 # Install the message catalogs
 install-i18n-yes:	${MOFILES}
-	langs="${LANGS}"; \
+	@langs="${LANGS}"; \
 	for lang in $$langs; do \
+		echo "${MKDIR} ${LOCALEDIR}/$$lang/LC_MESSAGES"; \
 		${MKDIR} "${LOCALEDIR}/$$lang/LC_MESSAGES"; \
 		${INSTALL_DATA} "$$lang.mo" \
 			"${LOCALEDIR}/$$lang/LC_MESSAGES/${PACKAGE}.mo"; \

=== include/Makefile ===
# $Id: Makefile,v 1.4 2001/06/27 03:19:10 arensb Exp $

TOP =		..
SUBDIR =	include
SUBDIRS =	pconn

HEADERS =	pdb.h \
		palm.h
DISTFILES =	Makefile \
		${HEADERS}

include ${TOP}/Make.rules

# This is for Emacs's benefit:
# Local Variables:	***
# fill-column:	75	***
# End:			***

=== libpdb/Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# $Id: Makefile,v 1.8 2001/11/12 04:31:25 arensb Exp $
+# $Id: Makefile,v 1.9 2002/03/10 23:05:03 arensb Exp $
 
 TOP =		..
 SUBDIR =	libpdb
@@ -22,6 +22,13 @@
 
 include ${TOP}/Make.rules
 
+# "util.c" is a symlink because both "libpdb" and "libpconn" use it, but I
+# don't want to maintain two identical copies of the same file. However,
+# CVS doesn't handle symlinks, so instead we create it here.
+${RECURSIVE_TARGETS}::	util.c
+util.c:
+	ln -s ${TOP}/libpconn/util.c util.c
+
 depend::
 	${MKDEP} ${CPPFLAGS} ${LIBSRCS}

=== perl/Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# $Id: Makefile,v 1.9 2000/11/10 03:36:24 arensb Exp $
+# $Id: Makefile,v 1.11 2002/03/10 23:11:53 arensb Exp $
 
 TOP =		..
 SUBDIR =	perl
@@ -21,8 +21,11 @@
 
 include ${TOP}/Make.rules
 
+# XXX - This is needed for 'make all' after a 'make clean', so leave it in.
+# But this needs to match what was used in 'configure' to build the Perl
+# Makefile.
 ColdSync/Makefile:	ColdSync/Makefile.PL
-	cd ColdSync && ${PERL} Makefile.PL
+	cd ColdSync && ${PERL} Makefile.PL PREFIX="${PREFIX}"
 
 # This is for Emacs's benefit:
 # Local Variables:	***

## coldsync 3.0+pre3-1

=== Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 #
 # Top-level Makefile
 #
-# $Id: Makefile,v 1.18 2001/06/04 10:18:28 arensb Exp $
+# $Id: Makefile,v 1.20 2002/03/19 11:59:31 arensb Exp $
 
 # In each Makefile, ${TOP} is the top of the source tree. ${SUBDIR} is the
 # path to the current directory, relative to ${TOP}. These two variables
@@ -14,7 +14,8 @@
 
 # List of subdirectories underneath this one.
 # Note that $(PERLDIR) is expanded in Make.rules.
-SUBDIRS =	include libpconn libpdb src $(PERLDIR) conduits doc i18n
+SUBDIRS =	include libpconn libpdb src coldnamed $(PERLDIR) conduits \
+		doc i18n
 
 # Files to include in snapshots and distributions
 DISTFILES =	README \
@@ -27,6 +28,7 @@
 		ChangeLog \
 		ChangeLog.0 \
 		ChangeLog.1 \
+		ChangeLog.2 \
 		HACKING \
 		Makefile \
 		Make.rules.in \

=== libpconn/Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# $Id: Makefile,v 1.12 2001/11/19 17:07:15 arensb Exp $
+# $Id: Makefile,v 1.13 2002/11/23 16:32:40 azummo Exp $
 
 TOP =		..
 SUBDIR =	libpconn
@@ -21,6 +21,7 @@
 		PConnection.c \
 		PConnection_serial.c \
 		PConnection_usb.c \
+		PConnection_libusb.c \
 		PConnection_net.c \
 		spc_client.c

=== perl/Makefile ===
--- 
+++ 
@@ -25,7 +25,7 @@
 # But this needs to match what was used in 'configure' to build the Perl
 # Makefile.
 ColdSync/Makefile:	ColdSync/Makefile.PL
-	cd ColdSync && ${PERL} Makefile.PL PREFIX="${PREFIX}"
+	cd ColdSync && ${PERL} Makefile.PL PREFIX="${PREFIX}" INSTALLDIRS=vendor
 
 # This is for Emacs's benefit:
 # Local Variables:	***

=== src/Makefile ===
--- 
+++ 
@@ -1,8 +1,12 @@
-# $Id: Makefile,v 2.22 2001/10/12 02:19:26 arensb Exp $
+# $Id: Makefile,v 2.36 2002/12/18 00:19:03 azummo Exp $
 
 TOP =		..
 SUBDIR =	src
 
+SUBDIRS =	conduits
+
+
+CPROG =		
 CXXPROG =	coldsync
 
 C_SRCS =	coldsync.c \
@@ -19,11 +23,21 @@
 		palment.c \
 		pref.c \
 		spc.c \
+		symboltable.c \
 		net_compat.c \
-		ap_snprintf.c
+		ap_snprintf.c \
+		cs_error.c \
+		listenblock.c \
+		pdablock.c \
+		conduitblock.c \
+		netsync.c \
+		palmconn.c \
+		runmode.c \
+		sync.c
+
 C_OBJS =	${C_SRCS:.c=.o}
 
-CXX_SRCS =	GenericConduit.cc symboltable.cc
+CXX_SRCS =	
 
 CXX_OBJS =	${CXX_SRCS:.cc=.o}
 
@@ -40,9 +54,16 @@
 		spc.h \
 		pref.h \
 		net_compat.h \
-		GenericConduit.hh
+		trace.h \
+		netsync.h \
+		palmconn.h \
+		runmode.h \
+		sync.h 
 
-OBJS =		${C_OBJS} ${CXX_OBJS} \
+CONDUITS_OBJS =	conduits/generic.o \
+		conduits/dummy.o
+
+OBJS =		${C_OBJS} ${CXX_OBJS} ${CONDUITS_OBJS} \
 		y.tab.o
 
 LIBPCONN = 	-L${TOP}/libpconn -lpconn
@@ -51,19 +72,24 @@
 CLEAN =		${CXXPROG} ${OBJS} \
 		*.ln *.bak *~ core *.core .depend \
 		lex.yy.c y.tab.c y.tab.h y.output \
-		parser.tab.c parser.tab.h parser.output
+		parser.tab.c parser.tab.h parser.output \
+		conduits.h
 
 DISTFILES =	Makefile \
 		${SRCS} ${HEADERS} \
-		lexer.l parser.y
+		lexer.l parser.y \
+		conduits2include.sh
 
-all::		${CXXPROG}
+# Dummy target. It's just here so that 'make' will default to 'make all'.
+all::
+
+include ${TOP}/Make.rules
+
+all::		conduits.h ${CXXPROG} ${CPROG}
 
 depend::	lex.yy.c
 depend::
 	${MKDEP} ${CPPFLAGS} ${C_SRCS} ${CXX_INCLUDEDIRS} ${CXX_SRCS}
-
-include ${TOP}/Make.rules
 
 install::	${CXXPROG}
 	${MKDIR} ${BINDIR}
@@ -83,6 +109,9 @@
 lex.yy.c:	parser.h lexer.l
 y.tab.c y.tab.h:	parser.h parser.y
 
+conduits.h:	conduits/*.h
+		sh ./conduits2include.sh >conduits.h
+
 # This is for Emacs's benefit:
 # Local Variables:	***
 # fill-column:	75	***

=== include/pconn/Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# $Id: Makefile,v 1.6 2001/10/12 02:16:39 arensb Exp $
+# $Id: Makefile,v 1.8 2002/09/04 10:14:00 azummo Exp $
 
 TOP =		../..
 SUBDIR =	include/pconn
@@ -20,9 +20,20 @@
 DISTFILES =	Makefile \
 		${HEADERS}
 
-all::
+DISTCLEAN =	spc.h
+
+all::		spc.h
 
 include ${TOP}/Make.rules
+
+# "spc.h" is a symlink because "coldsync" and "libpconn" are conceptually
+# separate packages, but "spc.h" is used in both. But I don't want to
+# maintain two identical copies of the same file. However, CVS doesn't
+# handle symlinks, so instead we create it here.
+${RECURSIVE_TARGETS}::
+
+spc.h:
+	ln -s ${TOP}/src/spc.h spc.h
 
 # This is for Emacs's benefit:
 # Local Variables:	***

=== src/conduits/Makefile ===
# $Id: Makefile,v 1.2 2002/12/10 16:55:31 azummo Exp $

TOP =		../..
SUBDIR =	src/conduits

C_SRCS =	dummy.c

C_OBJS =	${C_SRCS:.c=.o}

CXX_SRCS =	generic.cc

CXX_OBJS =	${CXX_SRCS:.cc=.o}

SRCS =		${C_SRCS} ${CXX_SRCS}

HEADERS =	dummy.h \
		generic.h \
		generic.hh

OBJS =		${C_OBJS} ${CXX_OBJS} \
		y.tab.o

INCLUDE =	-I ..

EXTRA_LIBS =	
CLEAN =		${CXXPROG} ${OBJS} \
		*.ln *.bak *~ core *.core .depend

DISTFILES =	Makefile \
		${SRCS} ${HEADERS}

all::		${C_OBJS} ${CXX_OBJS}

depend::
depend::
	${MKDEP} ${CPPFLAGS} ${C_SRCS} ${CXX_INCLUDEDIRS} ${CXX_SRCS}

include ${TOP}/Make.rules

# This is for Emacs's benefit:
# Local Variables:	***
# fill-column:	75	***
# End:			***

=== debian/changelog ===
coldsync (3.0+pre3-1) unstable; urgency=low

  * New upstream version
  * Change of maintainer email address 

 -- Bradley Marshall <brad@humbug.org.au>  Sun, 28 Dec 2003 14:53:19 +1000

coldsync (2.3.1+20020318-1) unstable; urgency=low

  * New upstream version (Closes: #146841) 
  * New release fixes problem with segfault (closes: #135640)

 -- Bradley Marshall <bmarshal@pisoftware.com>  Sat, 16 Nov 2002 21:22:37 +1000

coldsync (2.2.5-1) unstable; urgency=low

  * New upstream version (closes: #125832)
  * Fixed spelling mistake (closes: #125617) 

 -- Bradley Marshall <bmarshal@pisoftware.com>  Thu, 10 Jan 2002 16:06:06 +1000

coldsync (2.1.3-1) unstable; urgency=low

  * New upstream version

 -- Bradley Marshall <bmarshal@pisoftware.com>  Mon, 24 Sep 2001 14:39:01 +1000

coldsync (2.1.2-1) unstable; urgency=low

  * New upstream version 

 -- Bradley Marshall <bmarshal@pisoftware.com>  Sun,  3 Jun 2001 20:33:02 +1000

coldsync (2.0.2-2) unstable; urgency=low

  * Fixed priority field 
  * Added build depends.  (closes: #93100)

 -- Bradley Marshall <bmarshal@pisoftware.com>  Mon, 23 Apr 2001 13:31:26 +1000

coldsync (2.0.2-1) unstable; urgency=low

  * New upstream version
  * Added in Build Depends (closes: #93100)

 -- Bradley Marshall <bmarshal@pisoftware.com>  Mon,  9 Apr 2001 11:18:02 +1000

coldsync (2.0.1-1) unstable; urgency=low

  * New upstream version
  * Adds back in Coldsync.pm (closes: #90017)
  * Documentation fixes - missing colons fixed in new upstream, 
    added (debian specific) path (closes: #86564)

 -- Bradley Marshall <bmarshal@pisoftware.com>  Mon, 19 Mar 2001 09:30:41 +1000

coldsync (2.0.0-1) unstable; urgency=low

  * New upstream version

 -- Bradley Marshall <bmarshal@pisoftware.com>  Thu, 28 Mar 2001 14:03:32 +1000

coldsync (1.6.3-1) unstable; urgency=low

  * New upstream revision

 -- Bradley Marshall <bmarshal@pisoftware.com>  Thu, 28 Dec 2000 20:54:17 +1000

coldsync (1.4.6-2) unstable; urgency=low

  * Moved Coldsync.pm to correct location in /usr/lib/perl5 (Closes: #74406)

 -- Bradley Marshall <bmarshal@pisoftware.com>  Sun, 15 Oct 2000 14:33:54 +1000

coldsync (1.4.6-1) unstable; urgency=low

  * Packaging of new release

 -- Bradley Marshall <bmarshal@pisoftware.com>  Sat,  7 Oct 2000 07:47:13 +1000

coldsync (1.1.9-2) unstable; urgency=low

  * Upload after being accepted as a developer

 -- Bradley Marshall <bmarshal@pisoftware.com>  Tue, 22 Aug 2000 20:06:04 +1000

coldsync (1.1.9-1) unstable; urgency=low

  * Initial Release.

 -- Bradley Marshall <bmarshal@pisoftware.com>  Tue,  9 May 2000 07:20:30 +1000

Local variables:
mode: debian-changelog
End:

=== debian/control ===
Source: coldsync
Section: otherosfs
Priority: extra
Maintainer: Bradley Marshall <brad@humbug.org.au>
Build-Depends: texinfo, gettext, bison, flex, debhelper
Standards-Version: 3.1.1.1

Package: coldsync
Architecture: any
Depends: ${shlibs:Depends}, perl5, libpalm-perl
Description: A tool for syncing PalmOS PDAs with Unix workstations
 Coldsync is a tool for syncing PalmOS PDAs with a Unix workstation
 with a focus on consistancy of data.  It also has an API which allows
 conduits to be written in Perl, among other languages.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatability version to use.
export DH_COMPAT=1

build: build-stamp
build-stamp:
	dh_testdir

	./configure --prefix=/usr --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info --libexecdir=\$${prefix}/lib --sysconfdir=/etc
	rm -f perl/ColdSync/Makefile
	cd perl && $(MAKE) OPTIMIZE="-O2 -g -Wall"
	# Add here commands to compile the package.
	$(MAKE)

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) distclean

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/tmp.
	$(MAKE) install PREFIX=`pwd`/debian/tmp/usr
	rm -f `pwd`/debian/tmp/usr/lib/perl5/auto/ColdSync/.packlist
	rm -f `pwd`/debian/tmp/usr/lib/perl5/perllocal.pod
	rm -f `pwd`/debian/tmp/usr/lib/perl5/i386-linux/perllocal.pod

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
#	dh_testversion
	dh_testdir
	dh_testroot
#	dh_installdebconf	
	dh_installdocs
	dh_installexamples
	dh_installmenu
#	dh_installemacsen
#	dh_installpam
#	dh_installinit
	dh_installcron
	dh_installmanpages
	dh_installinfo
#	dh_undocumented
	dh_installchangelogs ChangeLog
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	# You may want to make some executables suid here.
	dh_suidregister
#	dh_makeshlibs
	dh_installdeb
	dh_perl
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatability version to use.
export DH_COMPAT=1

build: build-stamp
build-stamp:
	dh_testdir

	./configure --prefix=/usr --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info --libexecdir=\$${prefix}/lib --sysconfdir=/etc
	rm -f perl/ColdSync/Makefile
	cd perl && $(MAKE) OPTIMIZE="-O2 -g -Wall"
	# Add here commands to compile the package.
	$(MAKE)

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) distclean

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/tmp.
	$(MAKE) install PREFIX=`pwd`/debian/tmp/usr
	rm -f `pwd`/debian/tmp/usr/lib/perl5/auto/ColdSync/.packlist
	rm -f `pwd`/debian/tmp/usr/lib/perl5/perllocal.pod
	rm -f `pwd`/debian/tmp/usr/lib/perl5/i386-linux/perllocal.pod

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
#	dh_testversion
	dh_testdir
	dh_testroot
#	dh_installdebconf	
	dh_installdocs
	dh_installexamples
	dh_installmenu
#	dh_installemacsen
#	dh_installpam
#	dh_installinit
	dh_installcron
	dh_installmanpages
	dh_installinfo
#	dh_undocumented
	dh_installchangelogs ChangeLog
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	# You may want to make some executables suid here.
	dh_suidregister
#	dh_makeshlibs
	dh_installdeb
	dh_perl
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install
